Summary: Programs that test various rt-features
Name: rt-tests
Version: 0.28
Release: 3%{?dist}
License: GPLv2
Group: Development/Tools
URL: git://git.kernel.org/pub/scm/linux/kernel/git/tglx/rt-tests.git
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Provides: cyclictest = 1:%{version}-%{release}
Provides: signaltest = 1:%{version}-%{release}
Provides: pi_tests = 1:%{version}-%{release}
Obsoletes: cyclictest < 1:0.18-1
Obsoletes: signaltest < 1:0.18-1
Obsoletes: pi_tests < 1:0.18-1
Patch: bz466915_fix_tracer_selection.patch


%description
A set of programs that test and measure various components of "realtime"
kernel behavior, such as timer latency, signal latency and the functioning
of priority-inheritance mutexes.

%prep
%setup -qn rt-tests

%patch -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
make DESTDIR=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/classic_pi
/usr/bin/cyclictest
/usr/bin/pi_stress
/usr/bin/signaltest
%doc
/usr/share/man/man8/cyclictest.8.gz
/usr/share/man/man8/pi_stress.8.gz

%changelog
* Fri Nov 28 2008 Luis Claudio R. Goncalves <lgoncalv@redhat.com> - 0.28-3
- cyclictest always sets event trace when -b is used (Luis Goncalves) [466915]

* Thu Oct 23 2008 Clark Williams  <williams@redhat.com> - 0.28-1
- rebased to upstream version 0.28

* Tue Jun 03 2008 Luis Claudio R. Goncalves <lgoncalv@redhat.com> - 0.20-2
- Added Clark's mlockall() option and documentation changes
- Applied ftrace update from rostedt
- Applied debugfs search patch from rostedt

* Mon May 05 2008 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.20-1
- Update to 0.20

* Thu Jan 03 2008 Clark Williams <williams@redhat.com> - 0.18-1
- Initial build.

